"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterKrakenBalances = exports.filterHitBTCBalances = exports.filterBinanceBalances = void 0;
exports.filterBinanceBalances = function (balancesArr, outputFilterFn) {
    if (outputFilterFn === void 0) { outputFilterFn = function (_a) {
        var balance = _a.balance;
        return Number(balance) > 0;
    }; }
    return balancesArr
        .map(function (_a) {
        var asset = _a.asset, balance = _a.free;
        return ({ asset: asset, balance: balance });
    })
        .filter(outputFilterFn);
};
exports.filterHitBTCBalances = function (balancesArr, outputFilterFn) {
    if (outputFilterFn === void 0) { outputFilterFn = function (_a) {
        var balance = _a.balance;
        return Number(balance) > 0;
    }; }
    return balancesArr
        .map(function (_a) {
        var asset = _a.currency, balance = _a.available;
        return ({ asset: asset, balance: balance });
    })
        .filter(outputFilterFn);
};
exports.filterKrakenBalances = function (krakenBalancesObj, outputFilterFn) {
    if (outputFilterFn === void 0) { outputFilterFn = function (_a) {
        var balance = _a.balance;
        return Number(balance) > 0;
    }; }
    return Object.keys(krakenBalancesObj)
        .map(function (asset) { return ({
        asset: asset,
        balance: krakenBalancesObj[asset]
    }); }).filter(outputFilterFn);
};
